[SM-Commit] GIT changes to master quill by Jaka Kranjc (6f289a6e25e704c73b429e45b93e4e6cb26a1db3)

Jaka Kranjc scm at sourcemage.org
Sat Jan 3 05:19:45 EST 2009


GIT changes to master quill by Jaka Kranjc <lynxlynxlynx at sourcemage.org>:

 usr/bin/quill                   |   20 +++++++++-----------
 var/lib/quill/ChangeLog         |    6 ++++--
 var/lib/quill/modules/libupdate |    1 +
 3 files changed, 14 insertions(+), 13 deletions(-)

New commits:
commit 6f289a6e25e704c73b429e45b93e4e6cb26a1db3
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    	* libupdate, quill: tell the user they can ^C out of the url checks
    	* quill: loop on the website check; support --help; allow starting
    	  quill without any arguments in normal mode

commit 95e38c22ec71cd05a0c1ebc2e42d6bb8f9bed156
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    Revert "added bypass to verify_url due to sites returning 404 on wget --spider"
    
    This reverts commit 35d5534c43da7588f3b29858f0b912dc99257cfd.
    half of the commit was bad and the other half mostly redundant

diff --git a/usr/bin/quill b/usr/bin/quill
index a9c55d6..6b56980 100755
--- a/usr/bin/quill
+++ b/usr/bin/quill
@@ -46,7 +46,7 @@ QUILL_CONFIG_VERSION=$QUILL_OUR_CONFIG_VERSION
 ## Parse the command line parameters and arguments via getopt
 #---
 QUILL_CMDLINE=$(getopt -o fcysngFHup::amwrhv -l \
-  fmxml,perlcpan,rubyraa,savane,savannah,gna,fsf,hackagedb,update,purge,help:: \
+  fmxml,perlcpan,rubyraa,savane,savannah,gna,fsf,hackagedb,update,help,purge:: \
   -n 'quill' -- "$@")
 if [[ $? != 0 ]]; then
   error_msg "Invalid command line options!"
@@ -84,7 +84,7 @@ while true; do
   esac
   shift
 done
-if [[ -z $1 && -z $QUILL_TARGET ]]; then
+if [[ -z $1 && -n $QUILL_UPDATE ]]; then
   error_msg "Missing spellname argument!"
   sleep 1
   quill_help 104
@@ -184,15 +184,18 @@ then
         [[ $UPDATE_COUNTER == 0 ]] && continue # there were no updates
 
         # check if WEB_SITE is reachable
+        trap INT break
         WEB_SITE=$(. DETAILS &> /dev/null; echo $WEB_SITE)
-        if ! url_verify "$WEB_SITE" > /dev/null; then
+        while ! url_verify "$WEB_SITE" > /dev/null; do
           error_msg "The website is not reachable: $WEB_SITE"
           message "Fix it."
+          message "If you're sure it is ok or want to skip this check, just hit ^C (ctrl-c)."
           sleep 3
           quill_edit DETAILS
           add_history_entry "DETAILS: fixed WEB_SITE"
           echo
-        fi
+        done
+        trap INT
 
         # check that all files are executable
         check_executable_bits
@@ -318,14 +321,9 @@ else # no updates, we'll be making a spell
   trap break INT
   while ! url_verify "${SPELL_SRC_URL:-ftp://34tqgsad}" > /dev/null; do
     error_msg "Invalid URL!\n"
+    message "If you're sure it is ok or want to skip this check, just hit ^C (ctrl-c)."
     unset SPELL_SRC_URL
-    query_spell_source_url &&
-    url_verify "${SPELL_SRC_URL:-ftp://34tqgsad}" > /dev/null ||
-    error_msg "Seems like this is failing if you are sure this is the correct URL then answer YES to the following query(uppercase yes)"
-    read BYPASSVERIFICATION
-    if [[ $BYPASSVERIFICATION == YES ]]; then
-      break
-    fi
+    query_spell_source_url
   done
   trap INT
 
diff --git a/var/lib/quill/ChangeLog b/var/lib/quill/ChangeLog
index d240366..ed20ff9 100644
--- a/var/lib/quill/ChangeLog
+++ b/var/lib/quill/ChangeLog
@@ -1,5 +1,7 @@
-2009-01-02 Andraž "ruskie" Levstik <ruskie at mages.ath.cx>
-	* quill: allow bypass due to certain sites not allowing --spider
+2009-01-03 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
+	* libupdate, quill: tell the user they can ^C out of the url checks
+	* quill: loop on the website check; support --help; allow starting
+	  quill without any arguments in normal mode
 	* version: 0.3.0-rc11
 
 2008-12-02 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
diff --git a/var/lib/quill/modules/libupdate b/var/lib/quill/modules/libupdate
index fa40e57..1e0250b 100644
--- a/var/lib/quill/modules/libupdate
+++ b/var/lib/quill/modules/libupdate
@@ -224,6 +224,7 @@ function version_bump() {
     trap break INT
     while ! check_source_urls; do
       get_sources_and_urls
+      message "If you're sure it is ok or want to skip this check, just hit ^C (ctrl-c)."
     done
     trap INT
     # do it again, needed if the source suffix was changed



More information about the SM-Commit mailing list